webdevqa.jp.net

XCode 4.5(4G182)+ iPhone 5 iOS6-このデバイスで実行するには、サポートされているアーキテクチャの宛先を選択してください

XCode 4.5を使用して、昨夜iOS6用に作成した真新しいアプリがあります。 iOS6搭載のiPhone 4で適切に開発できます。

今日、iOS6を搭載した新しいiPhone 5を入手し、新しいデバイスUUIDで証明書を更新した後、その上でアプリを実行しようとすると、次のエラーが発生しました。

選択したデバイスを使用してXCodeを実行できません。このデバイスで実行するには、サポートされているアーキテクチャの宛先を選択してください。

デバイスを開発用に有効にしました。 armv7とarmv7sの両方が設定されています。

Facebook 3.0 SDKのソースとリンカーフラグ '-lsqlite3.0'を含めました。問題は関連している必要があると思いますが、何が問題なのか理解できません。

それを解決する方法はありますか?

PS:この問題は、シミュレーターでアプリを実行しているときにも発生します。新しいデバイスと新しい証明書を持っていることを除いて、昨夜と今日の間に私のプロジェクトまたはXCodeで何が変更されたかはわかりません。

選択された宛先は、選択されたソフトウェアが構築されているアーキテクチャをサポートしていません。選択したソフトウェアを実行するために、そのアーキテクチャをサポートする宛先に切り替えます。

29
Eneko Alonso

また、コンパイラLLVMを選択する必要があります

プロジェクト->ビルド設定->ビルドオプション

enter image description here

43
Sophy Swicz

XCode 5.0の古いプロジェクトを実行中に同じ問題が見つかりましたMy solutionは次のとおりです:

これを利用するには、次の手順を実行する必要があります。

1。セット有効なアーキテクチャ:armv7、armv7s

2。設定コンパイラ LLVMとしてプロジェクト--->ビルド設定--->ビルドオプション See attached image below

Base and Deployment sdkを正しく設定します。

これが私の解決策です。喜んでお手伝いします。

25

ターゲットのビルド設定で有効なアーキテクチャにarmv7を追加する必要があります。

Changing Valid Architectures

10
brynbodayle

含まれているsrc/Framework/Resources/Info.plist Facebook SDKファイルをプロジェクトに追加したとき。プロジェクトから削除するだけで、すべてが再び機能します。保証! :)

9
5lava

以下の手順で問題を解決しました。

  1. Xcodeを閉じます
  2. デバイスからアプリケーションを削除します
  3. デバイスを再起動します
  4. 次に、アプリケーションを再実行します

正常に動作しています。

6
Bharathi D

バンドル名(plistファイル内)がプロジェクト名と同じであることを確認してください。私はそれを変更し、うまくいきました。

3
nithinreddy

私のサードパーティライブラリの1つがarmv7sで実行できなかったため、そのオプションを削除しました。 armv6も削除し、唯一のオプションとしてarmv7を保持しました。 armv7のみを使用して電話で構築および実行しました。

2
Charles T

以下の手順で問題を解決しました。

Xcodeを閉じますデバイスからアプリケーションを削除しますデバイスを再起動してから、アプリケーションを再実行して正常に動作します。

1
SongJin Ri

Build settings-> Complier for C/C++/Objective Cの設定が間違っていたため、この問題に直面しました。

だから私はそれをデフォルトのコンパイラが利用可能に変更しました、それはうまくいきました!

1
Nishant Tyagi

コンパイラLLVMを選択するだけです

ターゲット->ビルド設定->ビルドオプション

We just need to change the unsupported compiler to the default compiler :)

1
megha

私も同じ問題に遭遇しました。コンパイラを確認すると、互換性のないコンパイラが表示されています。有効にする必要があります。有効なコンパイラを設定するには、次の手順に従います

あなたを選択

プロジェクト---->ビルド設定->

検索バータイプコンパイラで検索すると、ビルドオプションの下にビルドオプションが見つかりますc/c ++/Objective Cのコンパイラ有効なものに設定します。enter image description here

1
Durga

これがプロジェクトの問題かどうかわかりません。しかし、私にとってそれを修正したのは、Info.plistファイルの名前を変更することでした。

  1. 名前をInfo.plistからmy-project-info.plistに変更しました
  2. target-build-settings/Packaging/Info.plistでも変更します
  3. デバイス/シミュレーターからアプリを削除し、Xcodeを介してアプリを再実行するより

私の場合、それ以降はすべてうまくいきました。私の場合plistファイルで作成された仕様または有効なアーキテクチャで問題はありませんでした

0
Oleg Hein

info.plist参照を削除します。そして、info.plistをプロジェクトに再ドラッグしますが、「ターゲット」にはコピーしません

0
zszen

ビルド設定に移動してから、有効なアーキテクチャーarmv7の代わりにarmv7 armv7sを置き換えます。これで問題なく動作します。

0
Sambit K.

これは、プロジェクトがxcode 4.5でビルドされていて、xcode 5.0で実行しようとしているときに発生することがあります。私の場合、私は解決策を見つけました。

C/C++/ObjectiveCのコンパイラを変更します。

設定->ビルドオプション->コンパイラC/C++/ObjectiveC;デフォルトを選択(Apple LLVM5.0)

0
utkal patel

IOS 4.x用に構築されたデータライブラリ外の問題があり、iPhone 5をサポートするiOS 6用の新しいアプリを構築していました。このエラーを受け取り、解決した唯一の方法は、armv7をプロジェクトとターゲットビルド設定にリストされている唯一のアーキテクチャと有効なアーキテクチャにすることでした。

0
Scott D

だから基本的に私は新しいプロジェクトを作成し、すべてのソースをコピーしました、そしてすべてがうまくいくようです。少なくともアプリは実行されます。

どの設定が問題を引き起こしていたのかわかりません。

0
Eneko Alonso